Bug 1183178 - CVE-2015-0234 pki-core: pki-core 10.x: multiple /tmp/ file vulnerabilities [fedora-all]
Summary: CVE-2015-0234 pki-core: pki-core 10.x: multiple /tmp/ file vulnerabilities [f...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pki-core
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-0234
TreeView+ depends on / blocked
 
Reported: 2015-01-16 23:03 UTC by Kurt Seifried
Modified: 2015-05-09 01:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-09 01:00:01 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2015-01-16 23:03:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2015-01-16 23:03:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1183176,1183178

# Description of your update
notes=Security fix for CVE-2015-0234

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1183176,1183178

Comment 3 Matthew Harmsen 2015-03-09 23:33:27 UTC
Upstream ticket:
https://fedorahosted.org/pki/ticket/1303

Comment 4 Matthew Harmsen 2015-05-09 01:00:01 UTC
On 05/07/15 23:15, Kurt Seifried wrote:
> Sorry lost track of this, in short if all the code is removed/unused we
> can classify this as NOTABUG and close it up.


Note You need to log in before you can comment on or make changes to this bug.